"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
class ItemError extends Error {
  constructor(id, code, message) {
    super(message);

    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, ItemError);
    }

    this.id = id;
    this.code = code;
    this.data = new Date();
  }
}
exports.ItemError = ItemError;