export const NEW_ITEM = 'NEW ITEM'
export const AVAILABILITY_CHANGE = 'AVAILABILITY CHANGE'
export const AVAILABLE = 'AVAILABLE'
export const NOT_AVAILABLE = 'NOT AVAILABLE'
export const PRICE_CHANGE = 'PRICE CHANGE'
export const PRICE_LOW = 'PRICE LOW'
export const PRICE_HIGH = 'PRICE HIGH'
export const PRICE_10Off = 'PRICE 10% Off MSRP'
export const PRICE_20Off = 'PRICE 20% Off MSRP'
export const PRICE_50Off = 'PRICE 50% Off MSRP'
export const PRICE_BELOW_20 = 'PRICE BELOW 20'
export const EBAY = 'EBAY'
export const MINOR_CHANGE = 'MINOR CHANGE'
export const NEW_OFFER = 'NEW OFFER'


export const STORES: Array<SupportedStores> = ['bestbuy', 'gamestop', 'walmart', 'target']
export type SupportedStores = "bestbuy" | "gamestop" | "target" | "walmart"

export type Platform = "microsoft" | "nintendo" | "sony" | "other"
export type SearchType = "starts" | "contains"
